;;; ~/.doom.d/+org.el -*- lexical-binding: t; -*-
;; Org mode configuration
;;
;; Change Org TODO keywords
(setq org-todo-keywords '((sequence "TODO" "NEXT" "WAITING" "INACTIVE" "|" "DONE" "CANCELLED")))
;; Rice Org elements
(setq org-todo-keyword-faces '(("INACTIVE" . "grey") ("NEXT" . "turquoise") ("WAITING" . ""))
      org-ellipsis " ▼ "
      org-bullets-bullet-list '("◉" "⋆" "○" "‣"))
;; Cycle through Org header visibility and disable completion
(after! evil-org
  (remove-hook 'org-tab-first-hook #'+org-cycle-only-current-subtree-h)
  (remove-hook 'org-mode-hook #'auto-fill-mode))
;; Turn off line numbers in Org and Markdown
(add-hook 'org-mode-hook (lambda () (display-line-numbers-mode -1)))
;; Tailor Org super agenda
(use-package! org-super-agenda
  :after org-agenda
  :init
  (setq org-super-agenda-groups '((:name "Due today"
                                          :deadline today)
                                  (:name "Important"
                                          :priority "A")
                                  (:name "Overdue"
                                          :deadline past)
                                  (:name "Due soon"
                                          :deadline future)))
  :config
  (org-super-agenda-mode)
  )
